# SIPRegister Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPRegister:

[legend]
Collaboration diagram for SIPRegister:
[legend]

## Public Member Functions

| P_DECLARE_TRACED_ENUM (CompatibilityModes, e_FullyCompliant, e_CannotRegisterMultipleContacts, e_CannotRegisterPrivateContacts, e_HasApplicationLayerGateway, e_RFC5626)
| SIPRegister (SIPTransactionOwner &owner, OpalTransport &transport, const PString &callId, unsigned cseq, const Params &params)
virtual SIPTransaction * | CreateDuplicate () const

## Data Structures

struct | Params
| Registrar parameters. More...

## Constructor & Destructor Documentation

SIPRegister::SIPRegister | ( | SIPTransactionOwner & | owner,
|  | OpalTransport & | transport,
|  | const PString & | callId,
|  | unsigned | cseq,
|  | const Params & | params |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPRegister::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

SIPRegister::P_DECLARE_TRACED_ENUM | ( | CompatibilityModes | ,
|  | e_FullyCompliant | ,
|  | e_CannotRegisterMultipleContacts | ,
|  | e_CannotRegisterPrivateContacts | ,
|  | e_HasApplicationLayerGateway | ,
|  | e_RFC5626 |  |
| ) |  |  |

The documentation for this class was generated from the following file:

- sippdu.h